Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225082 - virt-manager: POST operation failed
Summary: virt-manager: POST operation failed
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 6
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 18:09 UTC by Bernard Johnson
Modified: 2008-03-13 13:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-13 13:44:52 UTC


Attachments (Terms of Use)
error (deleted)
2007-01-28 18:09 UTC, Bernard Johnson
no flags Details

Description Bernard Johnson 2007-01-28 18:09:24 UTC
Description of problem:
On some attempts when trying to create a domain, I get the error message:
ERROR: virDomainCreateLinux() failed POST operation failed: (xend.err
'destroyDevice() takes exactly 3 arguments (2 given)')

Version-Release number of selected component (if applicable):
virt-manager-0.2.6-3.fc6

How reproducible:
sometimes

Steps to Reproduce:
1. attempt to create domain
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bernard Johnson 2007-01-28 18:09:25 UTC
Created attachment 146774 [details]
error

Comment 2 Ronan Waide 2007-04-16 16:02:06 UTC
I've seen this when using a kickstart URL that includes an ampersand. It appears
that the input to this field doesn't get URL-encoded and thus fails the XML
validity check. In order to make it work I had to replace ampersands with
%26amp%3b (that would be [ampersand]amp[semicolon], hex-encoded)

Comment 3 Ronan Waide 2007-04-16 16:03:30 UTC
I just noticed the error text I got for this was slightly different, so it may
not be the same bug after all:

libvir: Xen Daemon error : POST operation failed: (xend.err 'Invalid
configuration unexpected EOF')


Comment 4 Red Hat Bugzilla 2007-07-25 02:07:29 UTC
change QA contact

Comment 5 Cole Robinson 2008-03-12 20:48:06 UTC
Hi, this is a pretty old bug, and I'm pretty sure that the destroy device issue
was fixed a while back (can't find the reference though). Are either of these
issues still present?

Comment 6 Bernard Johnson 2008-03-13 04:16:04 UTC
I haven't been working with Xen as much as I was then, but I have not recently
seen it.

Comment 7 Cole Robinson 2008-03-13 13:44:52 UTC
I'll close this as WORKSFORME then, if you encounter this issue in the future
please reopen.


Note You need to log in before you can comment on or make changes to this bug.